int hBridge1A = 2;
int hBridge12Enable = 3;
int hBridge2A = 4;

void setup() {
  pinMode(hBridge1A, OUTPUT);
  pinMode(hBridge12Enable, OUTPUT);
  pinMode(hBridge2A, OUTPUT);
}

void forward(int speed){
  digitalWrite(hBridge1A, HIGH);
  digitalWrite(hBridge2A, LOW);
  analogWrite(hBridge12Enable, speed);
}

void backward(int speed){
  digitalWrite(hBridge1A, LOW);
  digitalWrite(hBridge2A, HIGH);
  analogWrite(hBridge12Enable, speed);
}

void loop() {
  forward(255);
  delay(3000);
  backward(128);
  delay(4000);
}
